Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 570814 - <media-sound/hydrogen-1.0.0 depends on deprecated Qt4 (master is Qt5 based)
Summary: <media-sound/hydrogen-1.0.0 depends on deprecated Qt4 (master is Qt5 based)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 514364 624748 qt4-removal 635998 640716 650412
  Show dependency tree
 
Reported: 2016-01-04 09:48 UTC by augustin
Modified: 2018-03-18 12:29 UTC (History)
5 users (show)

See Also:
Package list:
media-sound/hydrogen-1.0.0_pre20180301-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
hydrogen-0.9.7.ebuild (hydrogen-0.9.7.ebuild,1.94 KB, text/plain)
2017-12-19 19:49 UTC, Samuel Bauer
no flags Details
hydrogen-9999.ebuild (hydrogen-9999.ebuild,1.90 KB, text/plain)
2017-12-19 21:25 UTC, Samuel Bauer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description augustin 2016-01-04 09:48:06 UTC
hydrogen 0.9.6 has been out for a year and a half.
The current ebuild (media-sound/hydrogen, 0.9.5) has not been updated for a long time.

Also there is no ~amd64 version, with the latest code from upstream's repository.

Obviously, this package does not seem to be actively maintained. I'd like to learn how to contribute ebuilds to gentoo, but I am a complete newbie, so I will need some time to consult the existing developers' documentation. I may also need some help along the way.
Comment 1 Sam Jorna (wraeth) gentoo-dev 2016-01-05 04:55:50 UTC
(In reply to augustin from comment #0)
> Obviously, this package does not seem to be actively maintained. I'd like to
> learn how to contribute ebuilds to gentoo, but I am a complete newbie, so I
> will need some time to consult the existing developers' documentation. I may
> also need some help along the way.

If you are interested in proxy-maintaining this package, you may be able to do so under supervision of a developer from the ProAudio project (to which this package belongs) or, if they are open to having this package proxy-maintained but unable to supervise you, under the Proxy Maintainers project [0].

You can E-Mail the ProAudio project members directly about this, though they may also respond to this bug.

The first step to proxy-maintaining this package would be to produce an ebuild for the new version of this package and attaching it to this bug (or submitting a Pull Request through the Gentoo GitHub repository [1]). If you need help in getting a working ebuild, you can find resources and assistance in either the Developer Manual [2] or the #gentoo-dev-help or #gentoo-proxy-maint IRC channels on the Freenode IRC network.

[0]: https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[1]: https://github.com/gentoo/gentoo/
[2]: https://devmanual.gentoo.org/
Comment 2 augustin 2016-01-05 07:50:32 UTC
Thank you Sam Jorna.
I had already found a lot of information but I didn't know about Proxy Maintainers. Because of heavy 'real' life commitments, I cannot make any additional commitments. But I do want to learn how to contribute a patch now and then.

I discuss this in more details in the bug  #570938 .

I had found the herd officially responsible for media-sound/hydrogen.
It's listed here:
https://packages.gentoo.org/packages/media-sound/hydrogen
https://www.gentoo.org/inside-gentoo/developers/herds.html#proaudio 
However, I have not yet figured out who is behind the contact email proaudio@g...org 
I checked the list of mailing lists, but didn't find any mailing list called 'proaudio'.
Comment 3 augustin 2016-01-05 09:44:47 UTC
I finally found where hydrogen now stores its latest releases:

https://github.com/hydrogen-music/hydrogen/issues/347 
https://github.com/hydrogen-music/hydrogen/releases

Hydrogen 0.9.6.1
@mauser mauser released this on 10 Sep 2014

Hydrogen 0.9.7-beta1
@mauser mauser released this on 16 Oct 2015 ยท 70 commits to master since this release
Comment 4 augustin 2016-01-05 10:48:43 UTC
In the various audio overlays, the latest version I found was: hydrogen-0.9.6_rc2.ebuild 

https://github.com/tokiclover/bar-overlay/blob/master/media-sound/hydrogen/hydrogen-0.9.6_rc2.ebuild
Comment 5 augustin 2016-01-05 11:02:17 UTC
media-sound/hydrogen: Version bump to 0.9.6.1 #20
https://github.com/tokiclover/bar-overlay/issues/20
Comment 6 Sam Jorna (wraeth) gentoo-dev 2016-01-05 12:17:52 UTC
(In reply to augustin from comment #2)
> I had already found a lot of information but I didn't know about Proxy
> Maintainers. Because of heavy 'real' life commitments, I cannot make any
> additional commitments. But I do want to learn how to contribute a patch now
> and then.

You can still use the channels I mentioned for getting help, even if it is to contribute infrequently. Just make it clear to whomever commits the patch that you don't want maintainership. Contributions are always welcome and appreciated. :)

> I had found the herd officially responsible for media-sound/hydrogen.

You can also use `equery meta <atom>` (provided by app-portage/gentoolkit)

> I checked the list of mailing lists, but didn't find any mailing list called
> 'proaudio'.

Herds and projects are not mailing lists, they're mail aliases. Developers have their emails added to the alias in order to receive mails sent to that alias. You can just send a mail to that alias and it will reach all devs associated with it.

Developers associated with a project are listed on the project page on the Gentoo Wiki. You can also use the Gentoo IRC bot willikins (on the freenode network) to resolve herd members (expanding project aliases is not working right now).

It's also worth noting that there is currently a transition happening between herds and projects meaning that herds are being deprecated. You can see the progress of that - whether a given herd has been mapped to a project - at [0].

[0]: https://wiki.gentoo.org/wiki/Project:Metastructure/Herd_to_project_mapping
Comment 7 Sam Jorna (wraeth) gentoo-dev 2016-01-05 12:30:48 UTC
(In reply to Sam Jorna (wraeth) from comment #6)
> (In reply to augustin from comment #2)
> > I had found the herd officially responsible for media-sound/hydrogen.
> 
> You can also use `equery meta <atom>` (provided by app-portage/gentoolkit)

To make it clear, you can also simply look in the metadata.xml of the package - no other commands required. For example:

/usr/portage/media-sound/hydrogen/metadata.xml
Comment 8 augustin 2016-01-05 13:16:14 UTC
Thank you Sam for the extra information. I'll check it out and contact the appropriate devs.
Comment 9 augustin 2016-01-05 13:19:54 UTC
speaking of metadata.xml, I notice it says:
remote-id type="sourceforge">hydrogen.
I guess this would have to be changed since the code appears to be hosted at github, now.
Comment 10 Sam Jorna (wraeth) gentoo-dev 2016-01-05 13:24:36 UTC
(In reply to augustin from comment #9)
> speaking of metadata.xml, I notice it says:
> remote-id type="sourceforge">hydrogen.
> I guess this would have to be changed since the code appears to be hosted at
> github, now.

Ideally, yes. There are examples in the tree that can show you what to set it to:

find /usr/portage -name metadata.xml | xargs grep remote-id
Comment 11 Ian Delaney (RETIRED) gentoo-dev 2016-01-08 09:06:11 UTC
(In reply to augustin from comment #8)
> Thank you Sam for the extra information. I'll check it out and contact the
> appropriate devs.

It is not uncommon for packages to be left somewhat unattended. If you'd like to proxy maintain them, get the ok from some in the project of  	
Professional Audio Applications Maintainers so there is authority to add the proxy-maintainers herd (as it is atm) to metadata.xml
Comment 12 augustin 2016-01-08 10:06:32 UTC
Hi Ian,

The reason why I still haven't posted a new ebuild is that I was still in the process of testing 0.9.6.1, until today. There is an important issue that does not preclude from upgrading but users must be made aware of it.

Basically, I upgraded a few days ago using the ebuild for hydrogen-0.9.6_rc2.ebuild provided by tokiclover/bar-overlay https://github.com/tokiclover/bar-overlay 
They have since upgraded their ebuild to 0.9.6.1:
https://github.com/tokiclover/bar-overlay/issues/20 

HOWEVER, I ran into numerous issues due to the drumkits that can be downloaded from the official hydrogen web site, NOT being upgraded to the latest version of hydrogen. The xml format has changed since 0.9.5.
See:

https://github.com/hydrogen-music/hydrogen/issues/348 
https://github.com/hydrogen-music/hydrogen/issues/349 

Basically, 
1) Hydrogen 0.9.6.1 is working perfectly and can safely be upgraded
BUT:
2) official drumkits have NOT yet been upgraded. They are still useable but throw a lot of errors on the console.
3) users who have previously downloaded those old drumkits will see those errors.

So:
add a warning message to that effect in the ebuild.

Note also the new USE flags.
Comment 13 Ian Delaney (RETIRED) gentoo-dev 2016-01-30 05:03:30 UTC
This has stalled. If you are genuine in wanting to proxy-maintain the package, you need declare so here in Comment and submit an ebuild or a unified diff via an attchment. I'll try finding someone form this project
Comment 14 Leho Kraav (:macmaN @lkraav) 2017-03-12 16:29:05 UTC
Looks like https://github.com/hydrogen-music/hydrogen/releases/latest points to 0.9.7 now. @augustin have you been working with this ebuild lately anymore?
Comment 15 augustin 2017-03-13 04:49:14 UTC
No, sorry. I haven't used hydrogen in a long while.
Comment 16 Ted Rodgers 2017-05-09 15:28:39 UTC
Hydrogen 0.9.5 rebuild failed after upgrade to gcc 6.3.0. 

Pulled source for 0.9.7 from sourceforge.  Looking at editing the 0.9.5 build to work with this version, but having problems.

Source compiles manually (unpack, cd to /var/tmp/portage/media-sound/hydrogen-0.9.7/work/hydrogen-0.9.7, make build, build r n) but required that I added dev-qt/qtxmlpatterns:4

Not sure how to translate the commands to the correct ebuild syntax to use it with portage.
Comment 17 Arve Barsnes 2017-11-08 06:40:04 UTC
The beta ebuild in the bar overlay worked for me, just remove the _beta2 from the file name, and it successfully builds 0.9.7, and it also seems to work fine.
Comment 18 Samuel Bauer 2017-12-19 19:49:49 UTC
Created attachment 511018 [details]
hydrogen-0.9.7.ebuild

Didn't see bar overlay ebuild before proposing this one

with
source directory pointing github
EAPI 6
rubberband turned off by default as cmake -LH informed it is buggy

not sure everything is fine, but seems working
hope feedback
Comment 19 Samuel Bauer 2017-12-19 21:25:10 UTC
Created attachment 511036 [details]
hydrogen-9999.ebuild

latest development versions are now using qt5
Comment 20 Andreas Sturmlechner gentoo-dev 2018-01-01 10:33:49 UTC
Thanks for your contribution. We should not bother with another Qt4 bump anymore. If git master works sufficiently well, maybe a snapshot can be added to tree.
Comment 21 Larry the Git Cow gentoo-dev 2018-01-01 11:12:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63720d87d47cb9c54dee9e64d7bd754c23b1c080

commit 63720d87d47cb9c54dee9e64d7bd754c23b1c080
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-01-01 10:37:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-01 11:12:14 +0000

    media-sound/hydrogen: Add Qt5-based live version
    
    Thanks-to: Samuel Bauer <BM-2cTVBXjxdVtEQCycBQjMxszLsgTNVujvM5@bitmessage.ch>
    Bug: https://bugs.gentoo.org/570814
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../hydrogen/files/hydrogen-gnuinstalldirs.patch   | 112 +++++++++++++++++++++
 media-sound/hydrogen/hydrogen-9999.ebuild          |  81 +++++++++++++++
 media-sound/hydrogen/metadata.xml                  |  21 ++--
 3 files changed, 204 insertions(+), 10 deletions(-)}
Comment 22 Larry the Git Cow gentoo-dev 2018-03-06 18:06:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47ebefac39bde969dd959d74604fe09c729d64d2

commit 47ebefac39bde969dd959d74604fe09c729d64d2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-06 17:57:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-06 18:05:32 +0000

    media-sound/hydrogen: Add 1.0.0_pre20180301 Qt5-based snapshot
    
    Bug: https://bugs.gentoo.org/570814
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 media-sound/hydrogen/Manifest                      |  1 +
 .../hydrogen/files/hydrogen-gnuinstalldirs.patch   | 25 ++-----
 .../hydrogen/hydrogen-1.0.0_pre20180301.ebuild     | 82 ++++++++++++++++++++++
 3 files changed, 90 insertions(+), 18 deletions(-)}
Comment 23 Andreas Sturmlechner gentoo-dev 2018-03-15 14:51:56 UTC
1.0.0_pre20180301-r1 fixes multiple bugs and gets rid of Qt4 and scons. Arches, please stabilise!
Comment 24 Stabilization helper bot gentoo-dev 2018-03-15 15:00:55 UTC
An automated check of this bug failed - repoman reported dependency errors (19 lines truncated): 

> dependency.bad media-sound/hydrogen/hydrogen-1.0.0_pre20180301-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['media-libs/portmidi']
> dependency.bad media-sound/hydrogen/hydrogen-1.0.0_pre20180301-r1.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['media-libs/portmidi']
> dependency.bad media-sound/hydrogen/hydrogen-1.0.0_pre20180301-r1.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['media-libs/portmidi']
Comment 25 Sergei Trofimovich gentoo-dev 2018-03-18 00:20:39 UTC
ppc/ppc64 stable
Comment 26 Thomas Deutschmann gentoo-dev Security 2018-03-18 00:44:14 UTC
x86 stable
Comment 27 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-03-18 12:29:55 UTC
amd64 stable